#!/bin/bash

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
# Change Log:
#     June 21, 2004 - JC: created
#     June 23, 2004 - JC: do not get TIO_HOME from tioadmin user 
#
#
# Description: This script updates the signature file by updating the size of the marker file: *.product
#

NEWSIZE=`ls -l $TIO_HOME/properties/version/TIO.product | sed -e "s/  */ /g" | cut -d ' ' -f5`

OLDSIZE=`grep 'fileSize' $TIO_HOME/properties/version/TIOSignature.xml | cut -d '>' -f2 | cut -d '<' -f1`

echo "/$OLDSIZE/
s/$OLDSIZE/$NEWSIZE/
wq" | ex $TIO_HOME/properties/version/TIOSignature.xml





 


